Subject: [PATCH 2/2] ARM: dts: berlin: enable i2c0 and i2c2

From: [email-masked] (Andrew Lunn)
Date: Wed, 4 Jun 2014 19:03:40 +0200

On Wed, Jun 04, 2014 at 06:48:41PM +0200, Antoine T?nart wrote:
> Hi Andrew,
> 
> On Tue, Jun 03, 2014 at 10:05:22AM +0200, Andrew Lunn wrote:
> > On Tue, Jun 03, 2014 at 09:33:10AM +0200, Antoine T?nart wrote:
> > > Enable the I2C0 and I2C2 for the Marvell Berlin BG2G DMP. I2C1 and I2C3
> > > are also working on this board, but no devices seemed to be there.
> > 
> > Does this mean that IC0 and I2C2 have devices on them? Could you also
> > add nodes for the devices?
> 
> No devices I can add for now. I you prefer we can drop this patch, keep
> the other one and enable i2c nodes for the BG2Q DMP when they will be
> needed.

Hi Antoine

I was just wondering how you tested it, without having any devices?
Is it that the devices on the bus don't have mainline drivers?

I don't see a reason not to commit both. At least it allows i2c-detect
to work and see what is on the bus, even if we cannot drive them.

Thanks
	Andrew